<!DOCTYPE html>
<meta charset="UTF-8">
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<style>
body, html {
	font-family: 'Ubuntu Mono', monospace;
    padding: 0;
    margin: 0;
    height: 100%;
}

canvas {
	    width: calc(100% - 2px);
    	height: calc(100% - 2px);
}

.btn {
  border: none; /* Remove borders */
  color: white; /* Add a text color */
  padding: 14px 28px; /* Add some padding */
  cursor: pointer; /* Add a pointer cursor on mouse-over */
  font-family: 'Ubuntu Mono', monospace;
}

.success {background-color: #4CAF50;} /* Green */
.success:hover {background-color: #46a049;}

.info {background-color: #2196F3;} /* Blue */
.info:hover {background: #0b7dda;}

.warning {background-color: #ff9800;} /* Orange */
.warning:hover {background: #e68a00;}

.danger {background-color: #f44336;} /* Red */
.danger:hover {background: #da190b;}

.default {background-color: #e7e7e7; color: black;} /* Gray */
.default:hover {background: #ddd;}


.box {
    box-sizing: border-box;
    float: left;
    background-color: #fafafa;
}

/* This is one way of adding borders, 
   if you *always* know that you have exactly 4 cells 
   aligned like this */
.box:first-child {
	overflow: scroll;
    border-bottom: 1px solid #8c8c8c;
    border-right: 1px solid #8c8c8c;
    width: 350px;
    height: calc(100% - 70px);
}
.box:nth-child(2) {
    border-bottom: 1px solid #8c8c8c;
    width: calc(100% - 350px);
    height: calc(100% - 70px);
}
.box:nth-child(3) {
    border-right: 1px solid #8c8c8c;
    width: 350px;
    height: 70px;
}
.box:nth-child(4) {
    width: calc(100% - 350px);
    height: 70px;
}
</style>
</head>
<link rel="preconnect" href="https://fonts.gstatic.com">
<link href="https://fonts.googleapis.com/css2?family=Ubuntu+Mono&display=swap" rel="stylesheet">
<body>


<div class="box">
	<div style="width:98%; margin-left: 5px;">
		<p>logo:</p>
		<input type="radio" id="logotype0" name="logo" value="Black" onchange="setlogo(0);" checked>
  		<label for="logotype0">Black</label><br>
  		<input type="radio" id="logotype1" name="logo" value="White" onchange="setlogo(1);">
  		<label for="logotype1">White</label><br>
		<hr>

		<p>Tok típus:</p>
		<input type="radio" id="casetype0" name="case" value="Tough" onchange="setcase(0);" checked>
  		<label for="casetype0">Tough</label><br>
  		<input type="radio" id="casetype1" name="case" value="Biodegradable" onchange="setcase(1);">
  		<label for="casetype1">Biodegradable</label><br>
  		<input type="radio" id="casetype2" name="case" value="Clear" onchange="setcase(2);">
  		<label for="casetype2">Clear</label><br>
  		<input type="radio" id="casetype3" name="case" value="Snap" onchange="setcase(3);">
  		<label for="casetype3">Snap</label><br>
  		<input type="radio" id="casetype4" name="case" value="Flexi" onchange="setcase(4);">
  		<label for="casetype4">Flexi</label><br>
		<hr>
		
		<p>Telefon modell:</p>
		<div id="phonediv">
		<input type="radio" id="phonetype0" name="phone" value="iPhone 12" onchange="setphone(0);" checked>
  		<label for="phonetype0">iPhone 12</label><br>
  		<input type="radio" id="phonetype1" name="phone" value="iPhone 12 Mini" onchange="setphone(1);">
  		<label for="phonetype1">iPhone 12 Mini</label><br>
  		<input type="radio" id="phonetype2" name="phone" value="iPhone 12 Pro" onchange="setphone(2);">
  		<label for="phonetype2">iPhone 12 Pro</label><br>
  		<input type="radio" id="phonetype3" name="phone" value="iPhone 12 Pro Max" onchange="setphone(3);">
  		<label for="phonetype3">iPhone 12 Pro Max</label><br>
  		<input type="radio" id="phonetype4" name="phone" value="iPhone 11" onchange="setphone(4);">
  		<label for="phonetype4">iPhone 11</label><br>
  		<input type="radio" id="phonetype5" name="phone" value="iPhone 11 Pro" onchange="setphone(5);">
  		<label for="phonetype5">iPhone 11 Pro</label><br>
  		<input type="radio" id="phonetype6" name="phone" value="iPhone 11 Pro Max" onchange="setphone(6);">
  		<label for="phonetype6">iPhone 11 Pro Max</label><br>
		<input type="radio" id="phonetype7" name="phone" value="iPhone X" onchange="setphone(7);">
  		<label for="phonetype7">iPhone X</label><br>
  		<input type="radio" id="phonetype8" name="phone" value="iPhone XR" onchange="setphone(8);">
  		<label for="phonetype8">iPhone XR</label><br>
  		<input type="radio" id="phonetype9" name="phone" value="iPhone XS MAX" onchange="setphone(9);">
  		<label for="phonetype9">iPhone XS MAX</label><br>
  		<input type="radio" id="phonetype10" name="phone" value="iPhone XS" onchange="setphone(10);">
  		<label for="phonetype10">iPhone XS</label><br>
  		<input type="radio" id="phonetype11" name="phone" value="iPhone 8" onchange="setphone(11);">
  		<label for="phonetype11">iPhone 8</label><br>
  		<input type="radio" id="phonetype12" name="phone" value="iPhone 8 Plus" onchange="setphone(12);">
  		<label for="phonetype12">iPhone 8 Plus</label><br>
  		</div>
	</div>
</div>
<div class="box" id="canvasbox">
		<svg id="Canvas" style="height: 99%; width: 99%;">
		</svg>
</div>
<div class="box">
	<center style="margin-top: 12px;">
		<button class="btn danger" onclick="next()">Következő</button>
		<button class="btn info" onclick="draw()">Frissítés</button>
	</center>
</div>
<div class="box">
	<center>
		<input type="file" accept="image/*" onchange="uploaded_image(event)">
	</center>
</div>
</body>
<script>
	var design = new Image();
	var activecaseid = 0;
	var activephoneid = 0;
	var activelogoid = 0;
	var caseradios = document.getElementsByName('case');
	var phoneradios = document.getElementsByName('phone');
	var phones = [
	["iPhone 12","iPhone 12 Mini","iPhone 12 Pro","iPhone 12 Pro Max","iPhone 11","iPhone 11 Pro","iPhone 11 Pro Max","iPhone X","iPhone XR","iPhone XS MAX","iPhone XS","iPhone 8","iPhone 8 Plus"],
	["iPhone 12","iPhone 12 Mini","iPhone 12 Pro","iPhone 12 Pro Max","iPhone 11 Pro"],
	["iPhone 12","iPhone 12 Mini","iPhone 12 Pro","iPhone 12 Pro Max"],
	["iPhone 12","iPhone 12 Mini","iPhone 12 Pro","iPhone 12 Pro Max","iPhone 11","iPhone 11 Pro","iPhone 11 Pro Max","iPhone X","iPhone XR","iPhone XS MAX","iPhone XS","iPhone 8","iPhone 8 Plus","iPhone 7","iPhone 7 Plus"],
	["iPhone 12","iPhone 12 Mini","iPhone 12 Pro","iPhone 12 Pro Max","iPhone 11","iPhone 11 Pro","iPhone 11 Pro Max","iPhone X","iPhone XR","iPhone XS MAX","iPhone XS","iPhone 8","iPhone 8 Plus","iPhone 7","iPhone 7 Plus"]];
	var logos = ["Black", "White"]
	var casecount = [phones[0].length, phones[1].length, phones[2].length, phones[3].length, phones[4].length];
	var casenames = ["tough", "biodegradable", "clear", "snap", "flexi"];
	var scales = [[0.81,0.07],[0.845,0.12],[0.84,0.11],[0.81,0.07],[0.85,0.105]]

	var canvasheight = document.getElementById('Canvas').getBoundingClientRect().height;
	var scale = (canvasheight/777)*0.95;

	var phonediv = document.getElementById('phonediv');
	
	function setcase(caseid) {
		var newcontent = "";
		for (var i = 0; i < casecount[caseid]; i++) {
			newcontent += '<input type="radio" id="phonetype'+i+'" name="phone" value="'+phones[caseid][i]+'" onchange="setphone('+i+');"><label for="phonetype'+i+'">'+phones[caseid][i]+'</label><br>';
		}
		phonediv.innerHTML = newcontent;
		activecaseid = caseid;
		activephoneid = 0;
		phoneradios[activephoneid].checked = true;
		setphone(activephoneid)
	}

	function setphone(phoneid) {
		activephoneid = phoneid;
		draw();
	}

	function setlogo(logoid) {
		activelogoid = logoid;
		draw();	
	}

	function Xpercent(p) {
		return imgArray[activecaseid][activephoneid].width*scale*p*0.01;
	}

	function Ypercent(p) {
		return imgArray[activecaseid][activephoneid].height*scale*p*0.01;
	}

	function draw() {
		var canv = document.getElementById('Canvas');
		var newcontent = "";
		var otherscale = (imgArray[activecaseid][activephoneid].width*scale)/design.width;
		console.log(otherscale);
		newcontent += '<image href="'+design.src+'" x="50%" y="50%" width="'+imgArray[activecaseid][activephoneid].width*scale+'" transform="translate(-'+imgArray[activecaseid][activephoneid].width*scale/2+',-'+(design.height*otherscale)/2+')"/>';
		newcontent += '<image href="'+imgArray[activecaseid][activephoneid].src+'" x="50%" y="50%" height="'+imgArray[activecaseid][activephoneid].height*scale+'" transform="translate(-'+imgArray[activecaseid][activephoneid].width*scale/2+',-'+imgArray[activecaseid][activephoneid].height*scale/2+')" opacity="0.75"/>';
		newcontent += '<image href="'+logoimgArray[activelogoid].src+'" x="50%" y="50%" width="'+Xpercent(scales[activecaseid][1]*100)+'" transform="translate(-'+(Xpercent(scales[activecaseid][1]*100))/2+', '+(Ypercent((scales[activecaseid][0]-0.5)*100))+')"  />';
		canv.innerHTML = newcontent;
	}

	function next() {
		activephoneid++;
		if (activephoneid == casecount[activecaseid]) {
			activephoneid = 0;
		}
		phoneradios[activephoneid].checked = true;
		setphone(activephoneid);
	}

	var imgArray = new Array();
	for (var i = 0; i < 5; i++) {
		var tempimgArray = new Array(casecount[i]);
		for (var j = 0; j < casecount[i]; j++) {
			tempimgArray[j] = new Image();
			tempimgArray[j].src = "cases/"+casenames[i]+"/"+phones[i][j].replace("iPhone ", "").replaceAll(" ", "").toLowerCase()+".png";
		}
		imgArray[i] = tempimgArray.slice();
	}

	var logoimgArray = new Array();
	logoimgArray[0] = new Image();
	logoimgArray[1] = new Image();
	logoimgArray[0].src = "logos/feketeTM.png";
	logoimgArray[1].src = "logos/feherTM.png";


	draw();

	function uploaded_image(event) {
    	var reader = new FileReader();
    	reader.onload = function(){
        	design.src = reader.result;
    	}
    	reader.readAsDataURL(event.target.files[0]);

  	}
</script>
</html>
